import * as constants from './constants';
//锁定state不可修改，导致错误y
import { fromJS } from 'immutable';


const defaultState = fromJS({
	lockCount:[],
});


export default (state = defaultState, action) => {
	switch(action.type) {
		case constants.CHANGE_LOCKCOUNT_DATA:
			return state.set('lockCount', action.data);
		default:
			return state;
	}

    // if(action.type===constants.CHANGE_INPUTVALUE){
    //     return state.set('inputValue',action.data);

    // }
    // if(action.type===constants.SEARCH_FOCUS){
    //     return state.set('menu','clicke me');
    // }
    // if(action.type===constants.CHANGE_LIST){
    //     return state.set('list',action.data);
    // }
    return state;
}